#' @author Eric Coissac
#' @export
H.q = function(x,q=1) {
  sum(x * log.q(1/x,q),na.rm = TRUE)
}

#' @author Eric Coissac
#' @export
D.q = function(x,q=1) {
  exp.q(H.q(x,q),q)
}

#' @author Eric Coissac
#' @export
H.spectrum = function(x,q=1) {
  sapply(q,function(Q) H.q(x,Q))
}

#' @author Eric Coissac
#' @export
D.spectrum = function(x,q=1) {
  sapply(q,function(Q) D.q(x,Q))
}
